/*
Theme Name: Dara Child
Theme URI: https://wordpress.com/themes/dara-child/
Description: Dara Child Theme
Template: dara
Version: 1.2.1
License: GNU General Public License v2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html
Text Domain: darachild
Tags: blog, one-column, two-columns, right-sidebar, custom-background, custom-colors, custom-header, custom-menu, featured-images, flexible-header, full-width-template, rtl-language-support, theme-options, threaded-comments, translation-ready

*/

/*--------------------------------------------------------------
1.0 Reset
--------------------------------------------------------------*/

html {
    font-size: 100%; 
}


/*--------------------------------------------------------------
Changing the colours
--------------------------------------------------------------*/

/* STONEBUILT Color Palette
Green: #2d8076; 
Blue: #253f70;
Yellow:#ffb90f;
Red: #8b0000;
Light Grey: #e6e6e6;*/


body {
	background-color: #F0F0F0;
}

a {
	color: #2d8076;
}

button,
input[type="button"],
input[type="reset"],
input[type="submit"],
#infinite-handle span,
.button {
	background-color: #2d8076;
}

input[type="text"]:focus,
input[type="email"]:focus,
input[type="password"]:focus,
input[type="search"]:focus,
input[type="url"]:focus,
input[type="tel"]:focus,
input[type="number"]:focus,
textarea:focus {
	border: 1px solid #2d8076;
}

.main-navigation {
	background-color: #2d8076;
}

.jetpack-social-navigation ul li {
	background: #2d8076;
}

.footer-widget-area a:hover,
.footer-widget-area a:focus,
.footer-widget-area a:active {
	color: #2d8076;
}

.entry-title a:hover,
.entry-title a:focus,
.entry-title a:active {
	color: #2d8076;
}

.cat-links a {
	color: #2d8076;
}

.comment-meta a {
	color: #2d8076;
}

.hero-content-wrapper .cat-links a {
	background-color: #2d8076;

}

.site-info a:hover,
.site-info a:focus,
.site-info a:active {
	color: #2d8076;
}

.main-navigation ul ul {
  background-color: #2d8076;
}


/*--------------------------------------------------------------
Changing the dimensions
--------------------------------------------------------------*/

.no-sidebar .site {
	max-width:  1180px;
}

/*.entry-title.detailheader {
		text-align: center;
}

.maintext:after {
content:"";
display:table;
clear: both;
}*/

.content-wrapper.full-width.without-featured-image {
    margin: 0 15px;
}

/*--------------------------------------------------------------
10.1 Main Text
--------------------------------------------------------------*/
.sb-list-container {
	margin-bottom: 20px;
}
/*list of characteristics*/
dl.sb-inline-list dt {
	 margin-right: 0.2em;
	display: inline;
}

dl.sb-inline-list dd {
	 margin: 0;
	display: inline;
}

dl.sb-inline-list dd {
      &:after {
        content: "";
        display: block;
        margin-top: 0.25em;
      }
  }

dl.sb-inline-list dt {
	clear: both;
	font-family: "Yrsa", sans-serif;
	margin-bottom: .8em;
	font-size: 18px;
	font-weight: normal;
}

.sb-inline-list a {
    text-decoration: none;
    border-bottom: 1px solid transparent;
}

/*.sb-inline-list a:hover {
    border-bottom-color: currentColor;
}*/

.external-icon {
    font-size: 0.8em;
    opacity: 0.7;
}





.opw-button {
	padding: 10px 0px 10px;
}

.person-button {
	background-color: #253f70;
	padding: 0px 10px;
	font-size: 14px;
}

.part-of-includes p:first-of-type {
	font-family: "Yrsa", sans-serif;
	font-size: 18px;
	font-weight: normal;
	display: inline;
}

/*show more or less*/
.maintext { 
	max-height: 1100px;
	overflow: hidden; 
}


.read-more { 
	margin-top: 15px; 
	text-decoration: underline;
	color: #2d8076;
}

/*
.add-read-more.show-less-content .second-section,
.add-read-more.show-less-content .read-less {
   display: none;
}

.add-read-more.show-more-content .read-more {
   display: none;
}

.add-read-more .read-more,
.add-read-more .read-less {
   font-weight: bold;
   margin-left: 2px;
   color: #2d8076;
   cursor: pointer;
}

.add-read-more{
  max-width: 600px;
  width: 100%;
  margin: 0 auto;
}
*/




.notes p:first-of-type {
	font-family: "Yrsa", sans-serif;
	font-size: 18px;
	font-weight: normal;
	display: inline;
}

.notes {
	margin-top: 30px;
    text-overflow: ellipsis;
}
/*--------------------------------------------------------------
Feature 
--------------------------------------------------------------*/
.feature {
		width: 50%;
		float: right;
		padding-bottom: 10px;  
	    margin: 0px 0px 10px 20px;
	}

.mapicons {
	float: right;
	font-size: 16px;
	}


/*leaflet*/
.leaflet-header {
    font-size: 1.1em;
	line-height: 0.5;
	font-weight: 400;	
}

/*adjusting the fontawesom location marker*/
.leaflet-marker-pane .fa-solid.fa-industry {
    top: 35% !important;
    transform: translate3d(-50%, -22%, 0) !important;
}

/*--------------------------------------------------------------
wp data access table
--------------------------------------------------------------*/
/*.pp-app-container.pp-app-{appId}

    .pp-component
        .pp-header
        .pp-table-container
            .pp-filter-container
            .{columnName}
            .pp-table
                .pp-top-toolbar
                table
                    thead
                        tr
                            th.{columnName}
                    tbody
                        tr
                            td.{columnName}
                            td.pp-table-detail-panel
                .pp-bottom-toolbar-container
                    .pp-table-info
        .pp-form
*/

/*hide the top header box on the search tables*/
.pp-app-4 .pp-header, /* heritage site */
.pp-app-37 .pp-header, /* material source */
.pp-app-39 .pp-header, /* material */
.pp-app-30 .pp-header, /* person */
.pp-app-40 .pp-header,
.pp-app-45 .pp-header,
.pp-app-46 .pp-header,
.pp-app-31 .pp-header,
.pp-app-32 .pp-header,
.pp-app-35 .pp-header
{
    background-color: white;
 	border-bottom: 1px solid darkgrey;
	color: #5e5d59;
}

/*hide the top header text on the search tables*/
.pp-app-4 .pp-header .MuiToolbar-root > div:first-child, /* heritage site */
.pp-app-37 .pp-header .MuiToolbar-root > div:first-child, /* material source */
.pp-app-39 .pp-header .MuiToolbar-root > div:first-child  /* material */
.pp-app-30 .pp-header .MuiToolbar-root > div:first-child /* person */
{
  visibility: hidden !important;
}

/*hide the column filters header on the search tables*/
.pp-app-4 .pp-table-column-filters .MuiTypography-h5, /* heritage site */
.pp-app-37 .pp-table-column-filters .MuiTypography-h5, /* material source */
.pp-app-39 .pp-table-column-filters .MuiTypography-h5, /* material */
.pp-app-30 .pp-table-column-filters .MuiTypography-h5 /* person */
{ 
    display: none !important;
}

/*take the external border off the filter boxes on the search tables*/
.pp-app-4 .pp-filter-container .MuiBox-root, /* heritage site */
.pp-app-37 .pp-filter-container .MuiBox-root, /* material source */
.pp-app-39 .pp-filter-container .MuiBox-root, /* material */
.pp-app-30 .pp-filter-container .MuiBox-root /* person */
{
	border: none !important;
}

/*compress the lists in the filter boxes on the search tables*/
.pp-app-4 .pp-filter-container .MuiButtonBase-root, /* heritage site */
.pp-app-37 .pp-filter-container .MuiButtonBase-root, /* material source */
.pp-app-39 .pp-filter-container .MuiButtonBase-root,  /* material */
.pp-app-30 .pp-filter-container .MuiButtonBase-root /* person */
{
	  height: 30px;
}

/*.pp-chart-toolbar .MuiToolbar-root,
.pp-chart-toolbar .MuiToolbar-root > div:first-child {
    display: none !important;
}*/


.pp-container-chart .pp-chart-toolbar {
    display: none !important;
}

.wp-block-column .wpda-pp-container {
    margin: 0 !important;
    padding: 0 !important;
}

.wp-block-column .wpda-pp-container .pp-container-chart {
    margin: 0 !important;
    padding: 0 !important;
}

.wp-block-column .wpda-pp-container .MuiBox-root {
    margin: 0 !important;
    padding: 0 !important;
}

/*stop the vertical scrollbar*/
.MuiTableContainer-root {
    max-height: none !important;
    height: auto !important;
    overflow-y: visible !important;
}

/*detail panel, material use*/

      .my-custom-detail-panel {
        margin: 0;
        padding: 2rem;
        display: grid;
        grid-template-columns: repeat(auto-fit, minmax(500px, 1fr));
        gap: 0.25rem;
      }
      .my-custom-detail-panel .panel-column {
        display: grid;
        grid-template-columns: 2fr 4fr;
        align-items: start;
        gap: 0.5rem;
      }

      .my-custom-detail-panel .panel-column .label {
        text-align: right;
        white-space: no-wrap;
        overflow: visible;
        direction: rtl;
      }
      .my-custom-detail-panel .panel-column .content {
        font-weight: bold;
      }
/*attempt to make the columns stop dissappearing
.pp-table-container.MuiBox-root {
    display: block !important;
    width: 100% !important;
    min-width: 100% !important;
    overflow-x: auto !important;
}

.pp-table-container .MuiTable-root {
    width: 100% !important;
    table-layout: auto !important;
}

.pp-table-container thead {
    display: table-header-group !important;
}

.pp-table-container th {
    display: table-cell !important;
}*/
/*--------------------------------------------------------------
Gallery
--------------------------------------------------------------*/
.gallery{
padding: 10px 0px;
clear: both;
}

.site-main .gallery {
    margin-bottom: 0em;
}

/*broken gallery new chrome*/
.jp-carousel-overlay { 
    pointer-events: all !important; 
}

/*--------------------------------------------------------------
Table of contents
--------------------------------------------------------------*/
.wp-block-table-of-contents ol {
	list-style-type: none;
}

/*--------------------------------------------------------------
References (etc)
--------------------------------------------------------------*/
.references, .specimens, .material_use {
	margin-bottom: 30px;
}


/*--------------------------------------------------------------
Person External Links Buttons
--------------------------------------------------------------*/

.external-links-buttons {
    display: flex;              /* use flexbox */
    flex-wrap: wrap;            /* allow wrapping to next line if needed */
    gap: 0.5rem;                /* space between buttons */
}

.external-links-buttons a {
    text-decoration: none;      /* remove underline from links */
}

.person-button {
    padding: 0.5rem 1rem;
    font-size: 1rem;
    cursor: pointer;
    border: 1px solid #333;
    background-color: #2d8076;
    border-radius: 4px;
    transition: background-color 0.2s;
}

.person-button:hover {
    background-color: #f0f0f0;
}



/*--------------------------------------------------------------
Previous+Next Buttons
--------------------------------------------------------------*/

.nav-buttons-container {
  display: flex;
  justify-content: space-between;
}

.disabledbutton {
  opacity: 0.6;
  cursor: not-allowed;
}

.wp-coblocks-post-carousel-nav-button__next, .wp-coblocks-post-carousel-nav-button__prev{
position: static;
}

.wp-coblocks-post-carousel-nav-button__next{
	float: right;
}

.pb-8 {
    padding-bottom: 2em;
}

/*--------------------------------------------------------------
Misc
--------------------------------------------------------------*/
/*resize the details buttons in the search tables--note will resize this icon wherever it appears, so far only used in these tables*/
.dashicons.dashicons-controls-play {
  font-size: 30px;
  width: 30px;
  height: 20px;
}
	
.leaflet-marker-shadow {
  display: none !important;
}
/*--------------------------------------------------------------
Mobile
--------------------------------------------------------------*/

@media screen and (max-width: 1000px) {
	.feature {
		width: 100%;
		overflow: hidden;
	}

	.feature-map .leaflet-container {
		height: 300px !important;
	}

	.feature-image img {
		width: 100%;
		height: auto;
		max-height: 300px;
		object-fit: cover;
	}
}



/*this turns off the wp data access search panes for mobile*/
@media screen and (max-width: 768px) {
	.maintext { 
	max-height: 1000px;
	overflow: hidden; 
}

	  .my-custom-detail-panel {
    grid-template-columns: 1fr; /* Single column on mobile */
    padding: 1rem; /* Reduce padding on mobile */
  }
}




